This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 492109 - *** buffer overflow detected ***: tcpick terminated. When using -t option
*** buffer overflow detected ***: tcpick terminated. When using -t option
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: tcpick (Show other bugs)
9
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Lubomir Rintel
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-25 08:52 EDT by JanS
Modified: 2009-03-31 16:36 EDT (History)
2 users (show)

See Also:
Fixed In Version: 0.2.1-16.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-29 11:51:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Backtrace (3.69 KB, text/plain)
2009-03-25 08:52 EDT, JanS
no flags Details

  None (edit)
Description JanS 2009-03-25 08:52:53 EDT
Created attachment 336634 [details]
Backtrace

Description of problem:
when run with -t option, tcpick will crash before first package will be displayed.

Version-Release number of selected component (if applicable):
tcpick   x86_64   0.2.1-14.fc9

How reproducible:
allways

Steps to Reproduce:
1. tcpick -i eth0 -C -a -t

when run 'tcpick -i eth0 -C -a' everuthing is ok.
  
Actual results:
*** buffer overflow detected ***: tcpick terminated
Comment 1 Robert Scheck 2009-03-25 09:04:55 EDT
On ix86, I can't reproduce, looks like something x86_64 specific. Is SELinux 
enabled? If yes, can you please switch to permissive and see whether it crashes
as well? I think, it doesn't change anything, but just to be sure. Adding the
libpcap maintainer, Miroslav, on copy as well, maybe he has some ideas.

The crash is producible with Fedora 10 (x86_64) as well.
Comment 2 JanS 2009-03-25 09:26:56 EDT
I have SELinux disabled as usual.

(PS. It costs too much troubles to deal with all this not working things because of SELinux contexts not set properly)
Comment 3 Robert Scheck 2009-03-29 09:05:21 EDT
Lubomir, as spoken with you on IRC, I'm re-assigning to you. Maybe you're able
to provide a fix/patch to solve this?

[14:53:42] < rsc> lkundrak: aren't you C knowledged?
[14:58:41] < lkundrak> rsc: well, to some extent
[15:00:38] < rsc> lkundrak: do you maybe have a clue how to fix #492109?
[15:02:21] < lkundrak> rsc: probably yes. I'm going to take a look at it,
                            feel free to reassign the ticket to me
Comment 4 Robert Scheck 2009-03-29 11:51:43 EDT
Lubomir, thank you *very* much for fixing this issue: 

http://cvs.fedoraproject.org/viewvc/devel/tcpick/tcpick-0.2.1-timezone.patch
Comment 5 Fedora Update System 2009-03-29 11:56:52 EDT
tcpick-0.2.1-16.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/tcpick-0.2.1-16.fc9
Comment 6 Fedora Update System 2009-03-31 16:34:52 EDT
tcpick-0.2.1-16.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2009-03-31 16:36:15 EDT
tcpick-0.2.1-16.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.